clear;
%cpr value determines number of cycles
%of black and white
cpr = 5;
w = 0:(2*pi)/400:(2*pi);
r = 0:100;
[ww,rr] = meshgrid(w, r);
xx = rr .* cos(ww);
yy = rr .* sin(ww);
zz = 0 * xx;
cc = cos(ww*cpr);

%M is an RGB matrix
%corresponding to different 
%colors for different values
%in the z-axis
M = (0:(1/200):1)';
M = [M,M,M];
colormap(M);

surf(xx, yy, zz, cc);
shading interp;
grid off;
axis off;

%Position camera to be right on top
%And at the appropriate distance
campos([0, 0, 100])
camtarget([0, 0, -1])
camva(2.25)
hold on;
